PCAP_SET_PROMISC(3) | Library Functions Manual | PCAP_SET_PROMISC(3)

# NAME

pcap_set_promisc - set promiscuous mode for a not-yet-activated capture handle

# SYNOPSIS

    #include <pcap/pcap.h>

    int pcap_set_promisc(pcap_t *p, int promisc);

# DESCRIPTION

pcap_set_promisc() sets whether promiscuous mode should be set on a capture handle when the handle is activated. If promisc is non-zero, promiscuous mode will be set, otherwise it will not be set.

# RETURN VALUE

pcap_set_promisc() returns 0 on success or PCAP_ERROR_ACTIVATED if called on a capture handle that has been activated.

# SEE ALSO

pcap(3), pcap_create(3), pcap_activate(3)

3 January 2014 |